alias-methods {planor} | R Documentation

## Summarize the Design Properties

### Description

Methods to summarize the design properties of an object containing key matrices. Display the design keys matrix(ces) and the factorial effects confounded with the mean.

### Usage

    ## S4 method for signature 'designkey'
    alias(object, model, ...)

    ## S4 method for signature 'keymatrix'
    alias(object, model, fact, block, ...)

    ## S4 method for signature 'listofdesignkeys'
    alias(object, model, ...)

    ## S4 method for signature 'listofkeyrings'
    alias(object, model, ...)

    ## S4 method for signature 'planordesign'
    alias(object, model, fact, block, ...)

### Arguments

`object` | an object of the class.
`model` | an optional model formula (by default the first model in object) or, when `object` is a `keymatrix`, a matrix representing factorial model terms.
`fact` | a character or numeric vector of parent factor names for the columns of `object`.
`block` | a logical vector to identify the columns of `object` associated with a block factor.
`...` | ignored.

### Details

When `object` is a `keymatrix`, “alias” displays the key matrix and the factorial effects confounded with the mean. It prints the unaliased treatment effects, then the groups of aliased treatment effects, then the treatments effects confounded with block effects and finally the unaliased block effects, when considering all the factorial terms that are represented in the `model` argument, which is set if missing to the identity matrix (main effects only).

### Value

- When `object` is a `keymatrix`, a vector with (i) the number of unaliased treatment effecs; (ii) the number of mutually aliased treatment effects; (iii) the number of treatment effects aliased with block effects.

- When `object` is a `designkey`, an invisible NULL.

- When `object` is a `listofkeyrings`, the factors, the model and the number of solutions for each prime in a list indexed by the primes p of the object. Each element is a 3-column matrix with one row per solution for prime p. The columns give (i) the number of unaliased treatment effecs; (ii) the number of mutually aliased treatment effects; (iii) the number of treatment effects aliased with block effects.

- The method is NOT YET IMPLEMENTED on objects of class `listofdesignkeys`.

- When `object` is a `planordesign`, this function is the alias method applied on each of the `keymatrix` objects contained in its `designkey` slot.

### Examples

    ### Creation of an object of class listofkeyrings
    K0 <- planor.designkey(factors=c(LETTERS[1:4], "block"), nlevels=rep(3,5),
    model=~block+(A+B+C+D)^2, estimate=~A+B+C+D,
    nunits=3^3, base=~A+B+C, max.sol=2)
    ### alias on an object of class keymatrix
    alias(K0[[1]][[1]])
    ### alias on an object of class designkey
    alias(K0[1])
    ### alias on an object of class listofkeyrings
    alias(K0)

[Package planor version 1.5-1 Index]